Bug 617336 - "category=" shows all category types, regardless of category subtab
Summary: "category=" shows all category types, regardless of category subtab
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: SearchBar   
(Show other bugs)
Version: 1.3
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Charles Crouch
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-search jon-sprint12-bugs
TreeView+ depends on / blocked
 
Reported: 2010-07-22 19:19 UTC by Corey Welton
Modified: 2015-02-01 23:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 18:00:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Welton 2010-07-22 19:19:41 UTC
Description of problem:
When user is in the inventory browser, in a tab other than "All", and uses 'category=' to filter, s/he is given all category types.  Obviously not all of these is going to be valid for any give tab outside "All"

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Resources > Platforms
2.  Enter category= into the search bar
3. View results
4. Repeat for Server and Service subtabs

Actual results:
all three of:
category=platform
category=server
categpry=service

...appear in the hints.  Obviously two of these aren't going to be valid for any given subtab

Expected results:
perhaps category= should just be filtered out entirely for subtabs other than "All".


Additional info:

Not particularly a big deal, just something that is not congruent with the new search filtering methods outlined in bug #601354


Note You need to log in before you can comment on or make changes to this bug.